checkRequire("Lua_CollectionBookDetailWindow");
Lua_CollectionBShareBookWindow = class("Lua_CollectionBShareBookWindow", Lua_CollectionBookDetailWindow);
function Lua_CollectionBShareBookWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CollectionBShareBookWindow";
	self.layer = MainWinDefine.NORMAL_TOP_LAYER;
	self.isShareWindow = true;
end

function Lua_CollectionBShareBookWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_CollectionBShareBookWindow:showWin(param)
	self:superCall("showWin", param);
end

function Lua_CollectionBShareBookWindow:onScreenResize(adaptHeight)
	self:superCall("onScreenResize", adaptHeight);
end


function Lua_CollectionBShareBookWindow:dispose()
	self:superCall("dispose");
end

function Lua_CollectionBShareBookWindow:createBottomTabList()
    self.panelObj = {};
	self.tabInfo = Array();
    self.tabInfo:add({ panel = Lua_CollectionBookMainPanel,  textAtlas = "collect_book_atlas_2", textNormalSprite = "xui_scc_zgnbutton_4_n", textSelectedSprite = "xui_scc_zgnbutton_4_p", textUnOpenSprite = "xui_scc_zgnbutton_4_d"});

    self.tabBtnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
    self.tabBtnList:setRectAnchor(7);
    self.tabBtnList:setLocation(182, 54, 0);
    self.tabBtnList.pivot = -1;
    self.tabBtnList:setButtonStyle("common_altas_1", "ui_common_button_001_b", "ui_common_button_001_b", 118, 108, 0.01, 1);
    self.tabBtnList:setButtonLine("common_altas_1", "ui_common_line_011", 2, 108, 0, 0, 1);
    self.tabBtnList:setButtonItem(120, 108);
    self.tabBtnList:setRedPoint(42, 41);
    self.tabBtnList:setClickCallBack(self, self.onTabBtnClick);
    self.tabBtnList:setData(self.tabInfo);
    self.tabBtnList:setEnable(false);
end

function Lua_CollectionBShareBookWindow:onTabBtnClick(index)
	self:superCall("onTabBtnClick", index);
end

function Lua_CollectionBShareBookWindow:setSharePanel()
	if self.panel.setSharePanel ~= nil then
		self.panel:setSharePanel(true);
	end
end