-- 收藏册闪卡属性
Lua_NewCollectionBookFlashCardPropWindow = class("Lua_NewCollectionBookFlashCardPropWindow", Lua_Window);
function Lua_NewCollectionBookFlashCardPropWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_NewCollectionBookFlashCardPropWindow";
	self.skinName = "NewCollectionBookFlashCardPropWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.blackAlpha = 0.01;
end

function Lua_NewCollectionBookFlashCardPropWindow:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_NewCollectionBookFlashCardPropWindow:dispose()
	self:superCall("dispose");
end

function Lua_NewCollectionBookFlashCardPropWindow:showWin(param)
	self:superCall("showWin", param);

	self.cardId = param;
	self:checkViewFlashCardProp();
	local cfg = Lua_CollectionBookConfigData.getConfig(self.cardId);
	if cfg == nil then
		return;
	end

	local props = cfg.card_prop or {};
	self.attackTxt.text = LanUtil.formateStr(410079, props.attack);
	self.healthTxt.text = LanUtil.formateStr(410080, props.health);
end

function Lua_NewCollectionBookFlashCardPropWindow:checkViewFlashCardProp()
	local bCheck = DataCenter.collectionBookData:checkFlashCardProp(self.cardId);
	if bCheck then
		Lua_ProxyManager.getProxy("Lua_CollectionBookProxy"):sFlashCardDetailProp(self.cardId); 
	end
end